List Form Submissions
get
/public/v1/form-submissionspage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of FormSubmissionResource
dataobject[]required▶Show 7 child attributesHide child attributes
idstringrequiredExample:f0s1u2b3-a4b5-46c7-8d9e-0f1a2b3c4d5esubmitted_urlstring | nullrequiredExample:https://app.astalty.com.au/form/f1o2r3m4-a5b6-47c8-9d0e-1f2a3b4c5d6esubmitted_atstringrequiredExample:2024-01-15T10:30:00+00:00archived_atstring | nullrequiredcreated_atstringrequiredExample:2024-01-15T10:30:00+00:00formobjectrequired▶Show 1 child attributesHide child attributes
idstringrequiredExample:f1o2r3m4-a5b6-47c8-9d0e-1f2a3b4c5d6e
submitted_byobject | nullrequired▶Show 3 child attributesHide child attributes
idstringrequiredExample:u1s2e3r4-a5b6-47c8-9d0e-1f2a3b4c5d6efirst_namestringrequiredExample:Johnlast_namestringrequiredExample:Doe
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error